%
% anyremote configuration file for  customization of GUI of Java client. (Server-mode)
%

% STATUS stable
% XTEST no
% SOUND no
% ENV no

GuiAppName=Customize client 2
GuiAppType=Example
GuiAppBinary=true
GuiAppProtocols=Server
GuiAppDesc=Example of possible customization of Java Client. Shows how to set different layouts and fonts.

[Protocol]=Server

(Init)=\
    Include($(CfgDir)/Utils/aliases-server.cfg);

(Connect)=\
    Make(var,TwoWayComm,by_value,false);\
    Set(parameter,debug,on);\
	Set(popup,show,Please wait);\
	Set(bg,0,0,0);\
	Set(fg,255,255,255);\
	Set(icons,Customize-2,1,vol_down,2,mute,3,vol_up,4,rewind,5,play,6,forward,7,prev,8,stop,9,next,*,question,0,pause,#,no);\
	Set(font,small);\
	Set(status,status field);\
	Set(title,title field);\
	Set(popup,hide);

Back=Set(text,close);

1=Set(font,small);
2=Set(font,medium);
3=Set(font,large);

* 1=Set(font,small, bold,system);
* 2=Set(font,medium,bold,proportional);
* 3=Set(font,large, bold,monospace);

* 4=Set(font,small, italic,system);
* 5=Set(font,medium,italic,proportional);
* 6=Set(font,large, italic,monospace);

* 7=Set(font,small, underlined,system);
* 8=Set(font,medium,underlined,proportional);
* 9=Set(font,large, underlined,monospace);

4=Set(layout,7x1,noticker,joystick_only);
5=Set(layout,default,ticker);
6=Set(layout,7x1,noticker,volume);Set(volume,60);

7=Set(fullscreen,on);Set(parameter,debug,off);Set(parameter,debug,on);
8=Set(fullscreen,off);Set(parameter,debug,off);Set(parameter,debug,on);
9=Set(title,123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890123456789012345678901234567890);Set(icons,show very long string);

* *=Set(text,replace,Help,Just press 0-9,#\nor * + 1-9\nand inspect results);Set(text,add,Help,...)
0=Set(bg,255,255,255);Set(fg,0,0,0);
#=Set(popup,show,Please wait);\
	Set(layout,default,noticker);\
	Set(bg,0,0,0);\
	Set(fg,255,255,255);\
	Set(font,large);\
	Set(status,status field);\
	Set(title,title field);\
	Set(icons,caption);\
	Set(popup,hide);

[End]
